Index: /branches/version-2_12-dev/data/class/pages/admin/products/LC_Page_Admin_Products_UploadCSV.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/products/LC_Page_Admin_Products_UploadCSV.php	(revision 22578)
+++ /branches/version-2_12-dev/data/class/pages/admin/products/LC_Page_Admin_Products_UploadCSV.php	(revision 22796)
@@ -34,6 +34,5 @@
  * FIXME 同一商品IDで商品規格違いを登録できない。(更新は可能)
  */
-class LC_Page_Admin_Products_UploadCSV extends LC_Page_Admin_Ex 
-{
+class LC_Page_Admin_Products_UploadCSV extends LC_Page_Admin_Ex {
 
     // }}}
@@ -61,6 +60,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
         $this->tpl_mainpage = 'products/upload_csv.tpl';
@@ -76,6 +74,6 @@
         $this->arrDELIVERYDATE = $masterData->getMasterData('mtb_delivery_date');
         $this->arrProductType = $masterData->getMasterData('mtb_product_type');
-        $this->arrMaker = SC_Helper_Maker_Ex::getIDValueList();
-        $this->arrPayments = SC_Helper_Payment_Ex::getIDValueList();
+        $this->arrMaker = SC_Helper_DB_Ex::sfGetIDValueList('dtb_maker', 'maker_id', 'name');
+        $this->arrPayments = SC_Helper_DB_Ex::sfGetIDValueList('dtb_payment', 'payment_id', 'payment_method');
         $this->arrInfo = SC_Helper_DB_Ex::sfGetBasisData();
         $this->arrAllowedTag = $masterData->getMasterData('mtb_allowed_tag');
@@ -88,6 +86,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         $this->action();
         $this->sendResponse();
@@ -99,6 +96,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
 
         $this->objDb = new SC_Helper_DB_Ex();
@@ -125,6 +121,4 @@
         $objFormParam = new SC_FormParam_Ex();
         $this->lfInitParam($objFormParam, $arrCSVFrame);
-
-        $this->max_upload_csv_size = SC_Utils_Ex::getUnitDataSize(CSV_SIZE);
 
         $objFormParam->setHtmlDispNameArray();
@@ -148,6 +142,5 @@
      * @return void
      */
-    function addRowResult($line_count, $message)
-    {
+    function addRowResult($line_count, $message) {
         $this->arrRowResult[] = $line_count . '行目：' . $message;
     }
@@ -160,88 +153,14 @@
      * @return void
      */
-    function addRowErr($line_count, $message)
-    {
+    function addRowErr($line_count, $message) {
         $this->arrRowErr[] = $line_count . '行目：' . $message;
     }
 
     /**
-     * CSVファイルを読み込んで、保存処理を行う
-     *
-     * @param $objFormParam
-     * @param $fp CSVファイルポインタ
-     * @param $objQuery 保存を行うためのクエリ(指定がない場合、テストのみを行う)
-     * @return boolean errFlag. 読み込みに失敗した場合true
-     */
-    function lfReadCSVFile(&$objFormParam, &$fp, $objQuery = null)
-    {
-        $dry_run = ($objQuery===null) ? true : false;
-        // 登録対象の列数
-        $col_max_count = $objFormParam->getCount();
-        // 行数
-        $line_count = 0;
-        // 処理に失敗した場合にtrue
-        $errFlag = false;
-
-        while (!feof($fp)) {
-            $arrCSV = fgetcsv($fp, CSV_LINE_MAX);
-
-            // 行カウント
-            $line_count++;
-            // ヘッダ行はスキップ
-            if ($line_count == 1) {
-                continue;
-            }
-            // 空行はスキップ
-            if (empty($arrCSV)) {
-                continue;
-            }
-            // 列数が多すぎる場合はエラー、列数が少ない場合は未設定として配列を補う
-            $col_count = count($arrCSV);
-            if ($col_count > $col_max_count) {
-                $this->addRowErr($line_count, '※ 項目数が' . $col_count . '個検出されました。項目数は' . $col_max_count . '個になります。');
-                $errFlag = true;
-                break;
-            } elseif ($col_count < $col_max_count) {
-                $arrCSV = array_pad($arrCSV, $col_max_count, "");
-                if (!$dry_run) {
-                    $this->addRowResult($line_count, ($col_count + 1) . "項目以降を空欄として読み込みました");
-                }
-            }
-
-            // シーケンス配列を格納する。
-            $objFormParam->setParam($arrCSV, true);
-            $arrRet = $objFormParam->getHashArray();
-            $objFormParam->setParam($arrRet);
-            // 入力値の変換
-            $objFormParam->convParam();
-
-            // <br>なしでエラー取得する。
-            $arrCSVErr = $this->lfCheckError($objFormParam);
-            if (count($arrCSVErr) > 0) {
-                foreach ($arrCSVErr as $err) {
-                    $this->addRowErr($line_count, $err);
-                }
-                $errFlag = true;
-                break;
-            }
-
-            if (!$dry_run) {
-                $this->lfRegistProduct($objQuery, $line_count, $objFormParam);
-                $arrParam = $objFormParam->getHashArray();
-
-                $this->addRowResult($line_count, '商品ID：'.$arrParam['product_id'] . ' / 商品名：' . $arrParam['name']);
-            }
-            SC_Utils_Ex::extendTimeOut();
-        }
-        return $errFlag;
-    }
-
-    /**
      * CSVアップロードを実行します.
      *
      * @return void
      */
-    function doUploadCsv(&$objFormParam, &$objUpFile)
-    {
+    function doUploadCsv(&$objFormParam, &$objUpFile) {
         // ファイルアップロードのチェック
         $this->arrErr['csv_file'] = $objUpFile->makeTempFile('csv_file');
@@ -271,13 +190,68 @@
         $this->arrFormKeyList = $objFormParam->getKeyList();
 
+        // 登録対象の列数
+        $col_max_count = $objFormParam->getCount();
+        // 行数
+        $line_count = 0;
+
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         $objQuery->begin();
 
-        // CSVからの読み込み、入力エラーチェック
-        $errFlag = $this->lfReadCSVFile($objFormParam, $fp);
-        if (!$errFlag) {
-            rewind($fp);
-            // CSVからの読み込み、保存 
-            $errFlag = $this->lfReadCSVFile($objFormParam, $fp, $objQuery);
+        $errFlag = false;
+        $all_line_checked = false;
+
+        while (!feof($fp)) {
+            $arrCSV = fgetcsv($fp, CSV_LINE_MAX);
+
+            // 全行入力チェック後に、ファイルポインターを先頭に戻す
+            if (feof($fp) && !$all_line_checked) {
+                rewind($fp);
+                $line_count = 0;
+                $all_line_checked = true;
+                continue;
+            }
+
+            // 行カウント
+            $line_count++;
+            // ヘッダ行はスキップ
+            if ($line_count == 1) {
+                continue;
+            }
+            // 空行はスキップ
+            if (empty($arrCSV)) {
+                continue;
+            }
+            // 列数が異なる場合はエラー
+            $col_count = count($arrCSV);
+            if ($col_max_count != $col_count) {
+                $this->addRowErr($line_count, '※ 項目数が' . $col_count . '個検出されました。項目数は' . $col_max_count . '個になります。');
+                $errFlag = true;
+                break;
+            }
+            // シーケンス配列を格納する。
+            $objFormParam->setParam($arrCSV, true);
+            $arrRet = $objFormParam->getHashArray();
+            $objFormParam->setParam($arrRet);
+            // 入力値の変換
+            $objFormParam->convParam();
+            // <br>なしでエラー取得する。
+            $arrCSVErr = $this->lfCheckError($objFormParam);
+
+            // 入力エラーチェック
+            if (count($arrCSVErr) > 0) {
+                foreach ($arrCSVErr as $err) {
+                    $this->addRowErr($line_count, $err);
+                }
+                $errFlag = true;
+                break;
+            }
+
+            if ($all_line_checked) {
+                $this->lfRegistProduct($objQuery, $line_count, $objFormParam);
+                $arrParam = $objFormParam->getHashArray();
+
+                $this->addRowResult($line_count, '商品ID：'.$arrParam['product_id'] . ' / 商品名：' . $arrParam['name']);
+            }
+            SC_Utils_Ex::extendTimeOut();
         }
 
@@ -304,6 +278,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
@@ -314,6 +287,5 @@
      * @return void
      */
-    function lfInitFile(&$objUpFile)
-    {
+    function lfInitFile(&$objUpFile) {
         $objUpFile->addFile('CSVファイル', 'csv_file', array('csv'), CSV_SIZE, true, 0, 0, false);
     }
@@ -325,6 +297,5 @@
      * @return void
      */
-    function lfInitParam(&$objFormParam, &$arrCSVFrame)
-    {
+    function lfInitParam(&$objFormParam, &$arrCSVFrame) {
         // 固有の初期値調整
         $arrCSVFrame = $this->lfSetParamDefaultValue($arrCSVFrame);
@@ -371,6 +342,5 @@
      * @return void
      */
-    function lfCheckError(&$objFormParam)
-    {
+    function lfCheckError(&$objFormParam) {
         // 入力データを渡す。
         $arrRet =  $objFormParam->getHashArray();
@@ -393,6 +363,5 @@
      * @return void
      */
-    function lfInitTableInfo()
-    {
+    function lfInitTableInfo() {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         $this->arrProductColumn = $objQuery->listTableFields('dtb_products');
@@ -409,10 +378,8 @@
      * @return void
      */
-    function lfRegistProduct($objQuery, $line = '', &$objFormParam)
-    {
+    function lfRegistProduct($objQuery, $line = '', &$objFormParam) {
         $objProduct = new SC_Product_Ex();
         // 登録データ対象取得
         $arrList = $objFormParam->getHashArray();
-
         // 登録時間を生成(DBのCURRENT_TIMESTAMPだとcommitした際、すべて同一の時間になってしまう)
         $arrList['update_date'] = $this->lfGetDbFormatTimeWithLine($line);
@@ -480,25 +447,9 @@
      * @return void
      */
-    function lfRegistProductClass($objQuery, $arrList, $product_id, $product_class_id)
-    {
+    function lfRegistProductClass($objQuery, $arrList, $product_id, $product_class_id) {
         $objProduct = new SC_Product_Ex();
-
-        // FIXME: dtb_csvテーブルの中で古いカラム名(右辺)が設定されている。sfArrayIntersectKeysでフィルタされてしまうので、名称を変更する必要がある
-        if (array_key_exists('classcategory_id', $arrList) && $arrList['classcategory_id'] != '') {
-            $arrList['classcategory_id1'] = $arrList['classcategory_id'];
-        }
-        if (array_key_exists('parent_classcategory_id', $arrList) && $arrList['classcategory_id'] != '') {
-            $arrList['classcategory_id2'] = $arrList['parent_classcategory_id'];
-        }
-
         // 商品規格登録情報を生成する。
         // 商品規格テーブルのカラムに存在しているもののうち、Form投入設定されていないデータは上書きしない。
         $sqlval = SC_Utils_Ex::sfArrayIntersectKeys($arrList, $this->arrProductClassColumn);
-
-        // 商品IDが設定されており、規格IDが設定されていなければ、既存の規格ID取得を試みる(product_class_idは必須入力項目ではない)
-        if ($product_class_id == '' && $product_id != '') {
-            $product_class_id = SC_Utils_Ex::sfGetProductClassId($product_id, $sqlval['classcategory_id1'], $sqlval['classcategory_id2']);
-            $sqlval['product_class_id'] = $product_class_id;
-        }
 
         if ($product_class_id == '') {
@@ -532,6 +483,5 @@
      * @return void
      */
-    function lfRegistReccomendProducts($objQuery, $arrList, $product_id)
-    {
+    function lfRegistReccomendProducts($objQuery, $arrList, $product_id) {
         $objQuery->delete('dtb_recommend_products', 'product_id = ?', array($product_id));
         for ($i = 1; $i <= RECOMMEND_PRODUCT_MAX; $i++) {
@@ -561,6 +511,5 @@
      * @return array $arrCSVFrame CSV構造配列
      */
-    function lfSetParamDefaultValue(&$arrCSVFrame)
-    {
+    function lfSetParamDefaultValue(&$arrCSVFrame) {
         foreach ($arrCSVFrame as $key => $val) {
             switch ($val['col']) {
@@ -592,6 +541,5 @@
      * @return $sqlval 登録情報配列
      */
-    function lfSetProductDefaultData(&$sqlval)
-    {
+    function lfSetProductDefaultData(&$sqlval) {
         //新規登録時のみ設定する項目
         if ($sqlval['product_id'] == '') {
@@ -617,6 +565,5 @@
      * @return $sqlval 登録情報配列
      */
-    function lfSetProductClassDefaultData(&$sqlval, $upload_flg)
-    {
+    function lfSetProductClassDefaultData(&$sqlval, $upload_flg) {
         //新規登録時のみ設定する項目
         if ($sqlval['product_class_id'] == '') {
@@ -637,5 +584,5 @@
 
         // 在庫無制限フラグ列を利用する場合、
-        if (array_key_exists('stock_unlimited', $sqlval) and $sqlval['stock_unlimited'] != '') {
+        if (array_key_exists('stock_unlimited', $sqlval)) {
             // 在庫無制限フラグ = 無制限の場合、
             if ($sqlval['stock_unlimited'] == UNLIMITED_FLG_UNLIMITED) {
@@ -669,6 +616,5 @@
      * @return array エラー配列
      */
-    function lfCheckErrorDetail($item, $arrErr)
-    {
+    function lfCheckErrorDetail($item, $arrErr) {
         // 規格IDの存在チェック
         // FIXME 規格分類ID自体のが有効かを主眼においたチェックをすべきと感じる。
@@ -688,13 +634,5 @@
                     $arrErr['product_class_id'] = '※ 指定の商品IDと商品規格IDの組合せは正しくありません。';
                 }
-
-                // product_class_idは(product_id, classcategory_id1, classcategory_id2)に対して一意。既に異なるproduct_class_idが存在した場合はエラー
-                $classcategory_id1 = $item['classcategory_id'] ? $item['classcategory_id'] : 0;
-                $classcategory_id2 = $item['parent_classcategory_id'] ? $item['parent_classcategory_id'] : 0;
-                $product_class_id = SC_Utils_Ex::sfGetProductClassId($item['product_id'], $classcategory_id1, $classcategory_id2);
-                if ($product_class_id && $product_class_id != $item['product_class_id']) {
-                    $arrErr['product_class_id'] = '※ 指定の商品ID/規格分類と、商品規格IDの組合せは正しくありません。';
-                }
-             }
+            }
         }
         // 表示ステータスの存在チェック
@@ -764,12 +702,12 @@
         // ダウンロード商品チェック
         if (array_search('product_type_id', $this->arrFormKeyList) !== FALSE
-            && $item['product_type_id'] != PRODUCT_TYPE_DOWNLOAD
+            && $item['product_type_id'] == PRODUCT_TYPE_NORMAL
         ) {
             //実商品の場合
             if ($item['down_filename'] != '') {
-                $arrErr['down_filename'] = '※ ダウンロード商品ではない場合、ダウンロードファイル名は入力できません。';
+                $arrErr['down_filename'] = '※ 実商品の場合はダウンロードファイル名は入力できません。';
             }
             if ($item['down_realfilename'] != '') {
-                $arrErr['down_realfilename'] = '※ ダウンロード商品ではない場合、ダウンロード商品用ファイルアップロードは入力できません。';
+                $arrErr['down_realfilename'] = '※ 実商品の場合はダウンロード商品用ファイルアップロードは入力できません。';
             }
         } elseif (array_search('product_type_id', $this->arrFormKeyList) !== FALSE
@@ -796,6 +734,5 @@
      * @return string $time DB保存用の時間文字列
      */
-    function lfGetDbFormatTimeWithLine($line_no = '')
-    {
+    function lfGetDbFormatTimeWithLine($line_no = '') {
         $time = date('Y-m-d H:i:s');
         // 秒以下を生成
@@ -816,6 +753,5 @@
      * @return boolean true:有効なデータがある false:有効ではない
      */
-    function lfIsArrayRecordMulti($arr, $keyname, $item, $delimiter = ',')
-    {
+    function lfIsArrayRecordMulti($arr, $keyname, $item, $delimiter = ',') {
         if (array_search($keyname, $this->arrFormKeyList) === FALSE) {
             return true;
@@ -848,6 +784,5 @@
      * @return boolean true:有効なデータがある false:有効ではない
      */
-    function lfIsDbRecordMulti($table, $tblkey, $keyname, $item, $delimiter = ',')
-    {
+    function lfIsDbRecordMulti($table, $tblkey, $keyname, $item, $delimiter = ',') {
         if (array_search($keyname, $this->arrFormKeyList) === FALSE) {
             return true;
@@ -880,6 +815,5 @@
      * @return boolean true:有効なデータがある false:有効ではない
      */
-    function lfIsDbRecord($table, $keyname, $item)
-    {
+    function lfIsDbRecord($table, $keyname, $item) {
         if (array_search($keyname, $this->arrFormKeyList) !== FALSE  //入力対象である
             && $item[$keyname] != ''   // 空ではない
@@ -899,6 +833,5 @@
      * @return boolean true:有効なデータがある false:有効ではない
      */
-    function lfIsArrayRecord($arr, $keyname, $item)
-    {
+    function lfIsArrayRecord($arr, $keyname, $item) {
         if (array_search($keyname, $this->arrFormKeyList) !== FALSE //入力対象である
             && $item[$keyname] != '' // 空ではない
Index: /branches/version-2_12-dev/data/class/pages/admin/products/LC_Page_Admin_Products_Review.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/products/LC_Page_Admin_Products_Review.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/admin/products/LC_Page_Admin_Products_Review.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Products_Review extends LC_Page_Admin_Ex 
-{
+class LC_Page_Admin_Products_Review extends LC_Page_Admin_Ex {
 
     // }}}
@@ -43,6 +42,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
         $this->tpl_mainpage = 'products/review.tpl';
@@ -78,6 +76,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         $this->action();
         $this->sendResponse();
@@ -89,6 +86,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
 
         // パラメーター管理クラス
@@ -139,6 +135,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
@@ -150,6 +145,5 @@
      * @return void
      */
-    function lfCheckError(&$objFormParam)
-    {
+    function lfCheckError(&$objFormParam) {
         // 入力データを渡す。
         $arrRet =  $objFormParam->getHashArray();
@@ -181,6 +175,5 @@
      * @return void
      */
-    function lfDeleteReview($review_id)
-    {
+    function lfDeleteReview($review_id) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         $sqlval['del_flg'] = 1;
@@ -194,6 +187,5 @@
      * @return array hidden情報
      */
-    function lfSetHidden($arrForm)
-    {
+    function lfSetHidden($arrForm) {
         $arrHidden = array();
         foreach ($arrForm AS $key=>$val) {
@@ -221,6 +213,5 @@
      * @return void
      */
-    function lfInitParam(&$objFormParam)
-    {
+    function lfInitParam(&$objFormParam) {
         $objFormParam->addParam('投稿者名', 'search_reviewer_name', STEXT_LEN, 'KVas', array('MAX_LENGTH_CHECK'),'',false);
         $objFormParam->addParam('投稿者URL', 'search_reviewer_url', STEXT_LEN, 'KVas', array('MAX_LENGTH_CHECK'),'',false);
@@ -247,6 +238,5 @@
      * @return void
      */
-    function lfDoOutputCsv($where, $arrWhereVal)
-    {
+    function lfDoOutputCsv($where, $arrWhereVal) {
         $objCSV = new SC_Helper_CSV_Ex();
         if ($where != '') {
@@ -262,6 +252,5 @@
      * @return array WHERE文、判定値
      */
-    function lfGetWhere($arrForm)
-    {
+    function lfGetWhere($arrForm) {
         //削除されていない商品を検索
         $where = 'A.del_flg = 0 AND B.del_flg = 0';
@@ -355,6 +344,5 @@
      * @return array レビュー一覧
      */
-    function lfGetReview($arrForm, $where, $arrWhereVal)
-    {
+    function lfGetReview($arrForm, $where, $arrWhereVal) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
 
Index: /branches/version-2_12-dev/data/class/pages/admin/products/LC_Page_Admin_Products_ClassCategory.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/products/LC_Page_Admin_Products_ClassCategory.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/admin/products/LC_Page_Admin_Products_ClassCategory.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id:LC_Page_Admin_Products_ClassCategory.php 15532 2007-08-31 14:39:46Z nanasess $
  */
-class LC_Page_Admin_Products_ClassCategory extends LC_Page_Admin_Ex 
-{
+class LC_Page_Admin_Products_ClassCategory extends LC_Page_Admin_Ex {
 
     // }}}
@@ -43,6 +42,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
         $this->tpl_mainpage = 'products/classcategory.tpl';
@@ -58,6 +56,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         $this->action();
         $this->sendResponse();
@@ -69,6 +66,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
 
         $objFormParam = new SC_FormParam_Ex();
@@ -146,6 +142,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
@@ -157,6 +152,5 @@
      * @return void
      */
-    function lfInitParam(&$objFormParam)
-    {
+    function lfInitParam(&$objFormParam) {
         $objFormParam->addParam('規格ID', 'class_id', INT_LEN, 'n', array('NUM_CHECK'));
         $objFormParam->addParam('規格分類名', 'name', STEXT_LEN, 'KVa', array('EXIST_CHECK' ,'SPTAB_CHECK' ,'MAX_LENGTH_CHECK'));
@@ -170,6 +164,5 @@
      * @return array 規格分類情報
      */
-    function lfGetClassCat($class_id)
-    {
+    function lfGetClassCat($class_id) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
 
@@ -186,6 +179,5 @@
      * @return string 規格名
      */
-    function lfGetClassName($class_id)
-    {
+    function lfGetClassName($class_id) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
 
@@ -201,6 +193,5 @@
      * @return string 規格分類名
      */
-    function lfGetClassCatName($classcategory_id)
-    {
+    function lfGetClassCatName($classcategory_id) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         $where = 'classcategory_id = ?';
@@ -215,6 +206,5 @@
      * @return integer 更新件数
      */
-    function lfInsertClass($arrForm)
-    {
+    function lfInsertClass($arrForm) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         $objQuery->begin();
@@ -244,6 +234,5 @@
      * @return integer 更新件数
      */
-    function lfUpdateClass($arrForm)
-    {
+    function lfUpdateClass($arrForm) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         // UPDATEする値を作成する。
@@ -262,6 +251,5 @@
      * @return array エラー配列
      */
-    function lfCheckError(&$objFormParam)
-    {
+    function lfCheckError(&$objFormParam) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         $arrForm = $objFormParam->getHashArray();
@@ -289,6 +277,5 @@
      * @return boolean 新規商品追加の場合 true
      */
-    function lfCheckInsert($classcategory_id)
-    {
+    function lfCheckInsert($classcategory_id) {
         //classcategory_id のあるなしで新規規格分類化かどうかを判定
         if (empty($classcategory_id)) {
@@ -306,6 +293,5 @@
      * @return void
      */
-    function lfDeleteClassCat($class_id, $classcategory_id)
-    {
+    function lfDeleteClassCat($class_id, $classcategory_id) {
         $objDb = new SC_Helper_DB_Ex();
         $where = 'class_id = ' . SC_Utils_Ex::sfQuoteSmart($class_id);
@@ -319,6 +305,5 @@
      * @return void
      */
-    function lfUpRank($class_id, $classcategory_id)
-    {
+    function lfUpRank($class_id, $classcategory_id) {
         $objDb = new SC_Helper_DB_Ex();
         $where = 'class_id = ' . SC_Utils_Ex::sfQuoteSmart($class_id);
@@ -332,6 +317,5 @@
      * @return void
      */
-    function lfDownRank($class_id, $classcategory_id)
-    {
+    function lfDownRank($class_id, $classcategory_id) {
         $objDb = new SC_Helper_DB_Ex();
         $where = 'class_id = ' . SC_Utils_Ex::sfQuoteSmart($class_id);
Index: /branches/version-2_12-dev/data/class/pages/admin/products/LC_Page_Admin_Products_Class.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/products/LC_Page_Admin_Products_Class.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/admin/products/LC_Page_Admin_Products_Class.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Products_Class extends LC_Page_Admin_Ex 
-{
+class LC_Page_Admin_Products_Class extends LC_Page_Admin_Ex {
 
     // }}}
@@ -43,6 +42,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
         $this->tpl_mainpage = 'products/class.tpl';
@@ -58,6 +56,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         $this->action();
         $this->sendResponse();
@@ -69,6 +66,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
 
         $objFormParam = new SC_FormParam_Ex();
@@ -143,6 +139,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
@@ -154,6 +149,5 @@
      * @return void
      */
-    function lfInitParam(&$objFormParam)
-    {
+    function lfInitParam(&$objFormParam) {
         $objFormParam->addParam('規格名', 'name', STEXT_LEN, 'KVa', array('EXIST_CHECK' ,'SPTAB_CHECK' ,'MAX_LENGTH_CHECK'));
         $objFormParam->addParam('規格ID', 'class_id', INT_LEN, 'n', array('NUM_CHECK'));
@@ -165,6 +159,5 @@
      * @return array 規格情報
      */
-    function lfGetClass()
-    {
+    function lfGetClass() {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
 
@@ -181,6 +174,5 @@
      * @return string 規格名
      */
-    function lfGetClassName($class_id)
-    {
+    function lfGetClassName($class_id) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         $where = 'class_id = ?';
@@ -195,6 +187,5 @@
      * @return integer 更新件数
      */
-    function lfInsertClass($arrForm)
-    {
+    function lfInsertClass($arrForm) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         // INSERTする値を作成する。
@@ -216,6 +207,5 @@
      * @return integer 更新件数
      */
-    function lfUpdateClass($arrForm)
-    {
+    function lfUpdateClass($arrForm) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         // UPDATEする値を作成する。
@@ -235,6 +225,5 @@
      * @return integer 削除件数
      */
-    function lfDeleteClass($class_id)
-    {
+    function lfDeleteClass($class_id) {
         $objDb = new SC_Helper_DB_Ex();
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -252,6 +241,5 @@
      * @return array エラー配列
      */
-    function lfCheckError(&$objFormParam)
-    {
+    function lfCheckError(&$objFormParam) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         $arrForm = $objFormParam->getHashArray();
@@ -279,6 +267,5 @@
      * @return boolean 新規商品追加の場合 true
      */
-    function lfCheckInsert($arrForm)
-    {
+    function lfCheckInsert($arrForm) {
         //class_id のあるなしで新規商品かどうかを判定
         if (empty($arrForm['class_id'])) {
@@ -294,6 +281,5 @@
      * @return void
      */
-    function lfUpRank($class_id)
-    {
+    function lfUpRank($class_id) {
         $objDb = new SC_Helper_DB_Ex();
         $objDb->sfRankUp('dtb_class', 'class_id', $class_id);
@@ -305,6 +291,5 @@
      * @return void
      */
-    function lfDownRank($class_id)
-    {
+    function lfDownRank($class_id) {
         $objDb = new SC_Helper_DB_Ex();
         $objDb->sfRankDown('dtb_class', 'class_id', $class_id);
